View Issue Details

IDProjectCategoryView StatusLast Update
0002646SymmetricDSBugpublic2016-07-11 10:23
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version3.7.35Fixed in Version3.7.35 
Summary0002646: FileRouting throws NPE when lookup router doesn't route
DescriptionThe lookup router may return null if there are no nodes to route. When that happens, the FileSyncDataRouter may throw a NPE. The solution is to add a null check to this line dataRouter.routeToNodes(context, dataMetaData, nodes, false,
false, triggerRouter) for a null value.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 5cdfccc1

2016-06-22 12:53:12

mmichalek

Details Diff
0002646: FileRouting throws NPE when lookup router doesn't route
0002646
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/FileSyncDataRouter.java Diff File

Issue History

Date Modified Username Field Change
2016-06-22 12:50 mmichalek New Issue
2016-06-22 13:00 mmichalek Changeset attached => SymmetricDS 3.7 5cdfccc1
2016-06-23 10:19 mmichalek Assigned To => mmichalek
2016-06-23 10:19 mmichalek Status new => resolved
2016-06-23 10:19 mmichalek Resolution open => fixed
2016-06-23 10:19 mmichalek Fixed in Version => 3.7.35
2016-06-23 10:19 mmichalek Target Version => 3.7.35
2016-07-11 10:23 elong Status resolved => closed